Subject: Use of BSN. Was: Re: [Sigtran] M2PA Last Call Comment - T6

From: Andrew Booth <[email-masked]>
Date: Fri, 01 Aug 2003 16:45:19 -0400

Hi Tom, Brian,

I agree that the BSN in LS messages could be used for various purposes, 
but I wonder if we need some more text should go with it. I also have a 
question about the description of BSN in 2.2.1.

2.2.1 Backward Sequence Number (BSN)
This is the FSN of the message last received from the peer.

For data messages this sounds inaccurate, should it not be the FSN that 
is being acknowledged? These numbers could be different in some cases, 
say if messages are queued in a receive buffer waiting for M2PA to 
process them.

For LS PR I think we agreed that the BSN should be set to the last FSN 
received from the peer, in which case it should not be considered to 
acknowledge data (some queued data might not have been passed to MTP3 yet).

If the BSN in LS Busy Ended is used to ack data then should this be 
clarified in 2.2.1?

If the BSN from LS messages may be used to ack data, should we include 
some text on how to recognize unreasonable BSNs?

Andrew

Brian F. G. Bidulock wrote:

>Tom,
>
>Right.  That was my thinking too.
>
>--brian
>
>Tom George wrote:                                                                      (Tue, 29 Jul 2003 17:02:34)
>  
>
>>Brian,
>>
>>The old text about ignoring the BSN in the LS messages has been taken 
>>out in version 9. We explicitly mention that the BSN in the LS PO 
>>message can be used, but there is no reason to restrict the use of the 
>>BSN in other LS messages.
>>
>>Right?
>>
>>tomG.
>>
>>Brian F. G. Bidulock wrote:
>>   [...]
>>    
>>
>>>Now, I know that we said that Link Status messages are not used to acknowledge
>>>DATA messages, but it makes sense to permit the Link Status Busy Ended message
>>>to acknowledge outstanding User Data messages, so that upon its receipt, T7
>>>might not need to be started if all messages in the retransmission buffer are
>>>acknolwedged by the Link Status Busy Ended message.
>>>
>>>The above also kind of changes the idea of T7 metering the oldest message in
>>>the retransmission buffer.  It would now measure the oldest message in the
>>>retransmission buffer since the receipt of the last Link Status Busy Ended.
>>>      
>>>
>>   [...]
>>
>>-- 
>>* Tom George       PB7-24001 (near B-21)      [email-masked]  *
>>* 972-519-3168   Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
>>* Alcatel;  3400 West Plano Pkwy,  MS PB7-SWPRO;  Plano, Texas 75075  *
>>*   I actively disclaim speaking for Alcatel.  I do not purport to    *
>>*   advertise or represent its position, operations, or activities.   *
>>
>>
>>_______________________________________________
>>Sigtran mailing list
>>[email-masked]
>>https://www1.ietf.org/mailman/listinfo/sigtran
>>    
>>
>
>  
>

-- 
Andrew Booth, Software Developer
Signaling Systems Group, Performance Technologies
613-237-4344

Visit www.pt.com/mailing.html to subscribe to our Packets & Signals eLetter.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran